function EMailForwardPageReady(domainid) {
    // Set up our loading animation
    $(document).on({
        ajaxStart: function() {
            $("button").attr("disabled", "disabled");
            showGears();
        },
        ajaxStop: function() {
            $("button").removeAttr("disabled");
            hideGears();
        }
    });
    // Retrieve a list of all currently configured records
    listMailRecords(domainid);
    // If we get a click on the class insertRow do the following
    $(document).on("click", ".insertRow", function() {
        // Count the number of div's in the emailforwards div
        var rowCount = $("#emailforwards >div").length;
        // Increment by 1
        rowCount++;
        // Append the following html to the emailforwards div
        $("#emailforwards").append('<div class="row" id="emailrow-' + rowCount + '"><form id="emailform-' + rowCount + '"><input type="hidden" name="recordid" id="newemailrecordid-' + rowCount + '" value="' + rowCount + '"><div class="col-lg-4"><input type="text" name="prefix" size="30" placeholder="eg. info without the @domain"/></div><div class="col-lg-2 text-center"><i class="fa fa-long-arrow-right fa-align-center fa-2x" aria-hidden="true"></i></div><div class="col-lg-4"><input type="text" name="forwardto" size="30" placeholder="Email address to forward to"/></div><div class="col-lg-2 text-center"><div class="btn-group" role="group" aria-label="..."><button type="button" class="btn btn-danger delRow"><span class="glyphicon glyphicon-trash"></span></button><button type="button" class="btn btn-success saveRow"><span class="glyphicon glyphicon-pencil"></span></button></div></div></form></div>');
    });
    // If we get a click on the class saveRow do the following
    $(document).on("click", ".saveRow", function() {
        // Declare vars
        var response;
        // Get the record id from the hidden input field
        var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
        // Get the new record id if it exists
        var newrecord = $("#newemailrecordid-" + recordid).val();
        // Serialize the form
        var serializedData = $("#emailform-" + recordid).serialize();
        // See if newrecord is defined
        if (newrecord == undefined) {
            // Save the record instead of adding it
            saveEmailRecord(domainid, recordid, serializedData);
        } else {
            // Add the record
            addEmailRecord(domainid, newrecord, serializedData);
        }
    });
    // If we get a click on the class delRow do the following
    $(document).on("click", ".delRow", function() {
        // Declare vars
        var response;
        // Get the record id from the hidden input field
        var recordData = $(this).parent().parent().parent().find("input[type='hidden']");
        if (recordData.attr("id").indexOf("new") !== -1) {
            $(this).parent().parent().parent().parent().hide();
        } else {
            var recordid = $(this).parent().parent().parent().find("input[type='hidden']").val();
            // Serialize the form
            var serializedData = $("#emailform-" + recordid).serialize();
            // Add the record
            deleteEmailRecord(domainid, recordid, serializedData);
        }
    });
}